class ::Logger
  def device
    @logdev.instance_eval{ @dev }
  end
  def tty?
    device.respond_to?('tty?') and device.tty?
  end
end

class Object
  def singleton_class object = self, &block
    sc =
      class << object
        self
      end
    block ? sc.module_eval(&block) : sc
  end
end
